Skip to content
Guides
Fulfillment & ShippingZones
shipping_settings:update

Create shipping zone

Creates a shipping zone from country, province, city, district, or postal-code selectors.

POST/v1/shipping/zones

Creates a shipping zone from country, province, city, district, or postal-code selectors.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/shipping/zones" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "code": "example_code",    "name": "Example resource",    "description": "Example description.",    "countryCodes": [      "example"    ],    "provinceCodes": [      "example"    ],    "cityNames": [      "example"    ],    "districtNames": [      "example"    ],    "postalCodes": [      "example"    ]  }'
{  "id": "7204558912004325301"}